const arg = process.argv;
const config = require('../package.json');
const logs = require('./plug-in/colorLog');
if (arg.length < 3) {
    console.log('\r');
    logs.skyBlue(' usage: fk2 [options] <command> \n');
    logs.p(" fk2 -v                        Get the fk2 version !\r");
    logs.p(" fk2 add <path>                Add the fk2 project !\r");
    logs.p(" fk2 set <arg>=<str>           Set up the system configuration !\r");
    logs.p(" fk2 dev / dev <port>          Use this command to open development environment !\r");
    logs.p(" fk2 run / run <path>          Use this command to open fk2 Nodejs cluster !\n");
    logs.skyBlue(" <arg>                        ['devHost','devOpen']");
    logs.skyBlue(" <port>                       The default port is '443'!");
    logs.skyBlue(' <version>                    '+config.version);
    logs.close()
}
if(arg.length >2){
    // 字母转小写
    const comm = arg[2].toLowerCase();
    if(comm=='dev'||comm=='-d'){
        // 开发服务器
        require('./dev/dev');
    }else if(comm=='-v'||comm=='-V'||comm=='-version'||comm=='-Version'){
        console.log(config.version);
    }else if(comm=='run'||comm=='go'){
        // 开启fk2集群
        require('./run/run');
    }else if(comm=='start'){
        // 开启nodejs集群
        require('./run/start');
    }else if(comm=='kill'||comm=='-k'){
        if(!arg[3]){
            console.log('Command not found!')
        }else{
            require('./exit/exit');
        }
    }else if(comm=='list'||comm=='ls'){
        require('./list/list');
    }else if(comm=='set'){
        require('./set/set');
    }else if(comm=='add'){
        require('./add/add');
    }else{
        console.log('Command not found!')
    }
}