const fs = require('fs');
const cluster = require('cluster');
const {pid,ppath} = require('../plug-in/fk2Path');
const logs = require('../plug-in/colorLog');
if (cluster.isMaster||cluster.isPrimary) {
    /* 多少个cpu启动多少个子进程 */
    const data = fs.readdirSync(pid);
    const wk = require('./worker');// 封装wk循环
    const cpu = require('os').cpus().length;
    const {check} = require('../plug-in/psNode');
    logs.g('Is open service, please later ...');
    logs.close();
    checkFile();
    async function checkFile() {
        fs.writeFileSync(ppath(process.pid),'2');
        for (let i = 0; i < cpu; i++) {
            wk(cluster.fork());
            if(i==cpu-1){
                logs.g('Open fk2 clusters!');
                logs.close();
            }
        }
        if(data.length>0){
            for (const key in data) {
                const res = await check(data[key]);
                if(res==0){
                    fs.unlinkSync(ppath(data[key])); //删掉已退出进程文件
                }
            }
        }
    }
    /* 如果有线程退出了，我们重启一个 */
    cluster.on('exit', (obj) => {
        const data = fs.readFileSync(ppath(obj.process.pid)).toString();
        if(data>0){
            fs.unlinkSync(ppath(obj.process.pid)); //删掉退出进程文件
            wk(cluster.fork());
        }
    })
} else {
    new require('./go');
    /* 心跳回应 */
    const file = ppath(process.pid);
    fs.writeFileSync(file,'1');
    fs.watchFile(file, (cur, prv) => {
        if (cur.mtime !== prv.mtime) {
            const data = fs.readFileSync(file).toString();
            if(data==3) process.exit(0);
        }
    })
    process.on('message', (msg) => {
        msg === 'ping' && process.send('pong');
    })
}

